SonarProperties (Gradle API 2.9)
Date: 2015-11-17

org.gradle.sonar.runner

## Class SonarProperties

- java.lang.Object
- - org.gradle.sonar.runner.SonarProperties

- Deprecated.
  The 'sonar-runner' plugin has been superseded by the official plugin from SonarQube, please see: http://docs.sonarqube.org/display/SONAR/Analyzing+with+Gradle

      @Deprecated
      public class SonarProperties
      extends Object

  The Sonar properties for the current Gradle project that are to be passed to the Sonar Runner.

  The `properties` map is already populated with the defaults provided by Gradle, and can be further manipulated as necessary. Before passing them on to the Sonar Runner, property values are converted to Strings as follows:

  - `Iterable`s are recursively converted and joined into a comma-separated String.
  - All other values are converted to Strings by calling their `toString()` method.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SonarProperties(Map<String,Object> properties)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,Object>` | `getProperties()` Deprecated. The Sonar properties for the current Gradle project that are to be passed to the Sonar runner.
    `void` | `properties(Map<String,?> properties)` Deprecated. Convenience method for setting multiple properties.
    `void` | `property(String key, Object value)` Deprecated. Convenience method for setting a single property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SonarProperties

          public SonarProperties(Map<String,Object> properties)

      Deprecated.

  - ### Method Detail

    - #### property

          public void property(String key,
                      Object value)

      Deprecated.
      Convenience method for setting a single property.
      Parameters:
        `key` - the key of the property to be added
        `value` - the value of the property to be added

    - #### properties

          public void properties(Map<String,?> properties)

      Deprecated.
      Convenience method for setting multiple properties.
      Parameters:
        `properties` - the properties to be added

    - #### getProperties

          public Map<String,Object> getProperties()

      Deprecated.
      The Sonar properties for the current Gradle project that are to be passed to the Sonar runner.